profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingBibliotecă media

Fără interfață

Pornire rapidăSplit Screen JSON Component Builder with LLMComponent Zod Pull

API REST

Prezentare generală API RESTgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetObține blocuri cu cache CELgetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

PATCH /csv

Actualizați câmpurile unui rând de sursă CSV existent, deținut de apelant.

Actualizați câmpurile unui rând csv_sources existent, deținut de utilizatorul care face apelul.

Autorizare: Bearer JWT (WorkOS). Actualizarea este limitată la utilizatorul dvs. (claim-ul sub), deci puteți modifica doar propriile surse CSV.

Parametri de interogare

ParametruTipObligatoriuNote
iduuiddaID-ul rândului csv_sources.

Corpul cererii

{
  "schema_name": "post",
  "spreadsheet_data": [ { "title": "Rând 1" } ],
  "status": "ready"
}
CâmpTipObligatoriuNote
schema_namestringnuNume nou de schemă.
spreadsheet_dataarraynuÎnlocuiește raw_data; setează row_count la lungimea array-ului.
statusstringnuStatus nou.

Toate cele trei sunt opționale, dar cel puțin una trebuie furnizată.

Răspuns

Rândul complet actualizat:

{
  "id": "...",
  "user_id": "...",
  "schema_name": "post",
  "file_name": "data.csv",
  "file_url": null,
  "raw_data": [],
  "row_count": 1,
  "status": "ready",
  "error_msg": null,
  "created_at": "2026-06-23T18:34:16Z",
  "updated_at": "2026-06-23T20:36:55Z"
}

Exemplu

curl -X PATCH '{CMS_API_URL}/csv?id=<uuid>' \
  -H 'Authorization: Bearer <workos-jwt>' \
  -H 'Content-Type: application/json' \
  -d '{"status":"ready"}'

Erori

  • 400 — nu au fost furnizate câmpuri ce pot fi actualizate
  • 401 — lipsește claim-ul sub sau JWT este invalid
  • 404 — nu există un rând care să corespundă pentru id + utilizatorul dvs.
  • 500 — eșec la actualizare
Continue Reading
Previous‹POST /csv